extends Resource
class_name ItemResource
const Item = preload("res://item/Item.gd")
const ItemStack = preload("res://item/ItemStack.gd")

@export var item:Item.Id = Item.Id.NULL
@export var quantity:int = 0

func toItemStack() -> ItemStack:
  var stack = ItemStack.new()
  stack.item = item
  stack.quantity = quantity
  return stack
